RankSharkDocs
Scans

Delete a scan

RankShark TrackScopetrack:delete

DELETE
/v1/track/scans/{id}

An unfinished scan is cancelled first (as cancel does).

Scope: track:delete.

Authorization

headerAuthorizationBearer <rstk_… API key or OAuth access token>

A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API

Path Parameters

id*string

Scan id (gs_…). A malformed id is 404 not_found.

Match^gs_[A-Za-z0-9]{10,40}$

Response Body

OK

application/json
  1. response
ok*boolean
Example Request
curl -X DELETE 'https://panel.rankshark.io/v1/track/scans/gs_3Hq7Vt2NwR8cYp'
Example Response
{  "ok": true}